bdi4jade.reasoning

## Class DefaultAgentDeliberationFunction

- java.lang.Object
- - bdi4jade.reasoning.AbstractAgentReasoningStrategy
  - - bdi4jade.reasoning.DefaultAgentDeliberationFunction

- All Implemented Interfaces:
    AgentDeliberationFunction, AgentReasoningStrategy

      public class DefaultAgentDeliberationFunction
      extends AbstractAgentReasoningStrategy
      implements AgentDeliberationFunction

  This class is the default implementation of the strategy `AgentDeliberationFunction`.
  Author:
    Ingrid Nunes

- - ### Field Summary

    - ### Fields inherited from class bdi4jade.reasoning.AbstractAgentReasoningStrategy

      `agent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultAgentDeliberationFunction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<Goal>` | `filter(java.util.Set<GoalUpdateSet.GoalDescription> agentGoals, java.util.Map<Capability,java.util.Set<GoalUpdateSet.GoalDescription>> capabilityGoals)` This default implementation selects all agent goals (those not dispatched within the scope of a capability) to be achieved, and requests each of its capabilities to filter their goals.

    - ### Methods inherited from class bdi4jade.reasoning.AbstractAgentReasoningStrategy

      `setAgent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface bdi4jade.reasoning.AgentReasoningStrategy

      `setAgent`

- - ### Constructor Detail

    - #### DefaultAgentDeliberationFunction

          public DefaultAgentDeliberationFunction()

  - ### Method Detail

    - #### filter

          public java.util.Set<Goal> filter(java.util.Set<GoalUpdateSet.GoalDescription> agentGoals,
                                            java.util.Map<Capability,java.util.Set<GoalUpdateSet.GoalDescription>> capabilityGoals)

      This default implementation selects all agent goals (those not dispatched within the scope of a capability) to be achieved, and requests each of its capabilities to filter their goals.
      Specified by:
        `filter` in interface `AgentDeliberationFunction`
      Parameters:
        `agentGoals` - the set of agent goals, which are goals not dispatched within the scope of a capability.
        `capabilityGoals` - the map from capabilities to their set of goals.
      Returns:
        the list of selected goals, which will become intentions.
      See Also:
        `AgentDeliberationFunction.filter(Set, Map)`